/*

The compilation of software known as FreeBSD GraphicBoot is distributed under
the following terms:

Copyright (C) 2005 Matthew Holder. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$SixXGate: motifapps/graphicboot/graphicboot.h,v 1.4 2005/08/11 07:43:15 matthew Exp $

*/

#include "common.h"

#include <time.h>
#include <X11/Xlib.h>
#include <X11/IntrinsicP.h>
#include <Xm/Xm.h>
#include <Xm/Form.h>
#include <Xm/Label.h>
#include <Xm/Text.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <termios.h>
#include <pthread.h>

#ifndef _GRAPHICBOOT_H_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A
#define _GRAPHICBOOT_H_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A

/* Configuration Check - Make sure we have every thing we need */

/* Main source calls and all global variables */
#ifndef _GRAPHICBOOT_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A
#define GLOBALVAR extern
#define MAINCALL extern
#else /*_GRAPHICBOOT_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A*/
#define GLOBALVAR
#define MAINCALL
#endif

/* Server source calls */
#ifndef _GBSERVER_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A
#define SERVERCALL extern
#else /*_GBSERVER_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A*/
#define SERVERCALL
#endif /*_GBSERVER_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A*/

/* Console source calls */
#ifndef _CONSOLE_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A
#define CONSOLECALL extern
#else /*_CONSOLE_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A*/
#define CONSOLECALL
#endif /*_CONSOLE_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A*/

GLOBALVAR Widget lblStatus, txtConsole;
GLOBALVAR char szStatus[MAX_LINE_SIZE];
GLOBALVAR char szPrev[MAX_LINE_SIZE];
GLOBALVAR XtInputId input_id;
GLOBALVAR int nPTYFile, nTTYFile;
GLOBALVAR int nServer, nClient;

/* Function Calls */
MAINCALL void CleanupAndExit();
CONSOLECALL int OpenConsole();
CONSOLECALL int GetPTerm(int *pnTTY, int *pnPTY);
CONSOLECALL int SetStatusMessage(char *szMessage);
SERVERCALL void SetTimmer();
SERVERCALL int CreateServer();

/* Callbacks */
CONSOLECALL void ProcessLine(/* Widget pWidget, int *pnFile, XtInputId *pID */);

/* Thread Functions */
SERVERCALL void ProcessClientMessage(void *vp);
SERVERCALL void CheckForConnection(void *vp);

#endif /*_GRAPHICBOOT_H_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A*/
