.\" 
.\" The compilation of software known as FreeBSD GraphicBoot is distributed under
.\" the following terms:
.\" 
.\" Copyright (c) 2005  Matthew Holder.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\" 
.\"     @(#)grphicboot.8	1.1 (MatthewHolder) 08/04/2005
.\" $SixXGate: motifapps/graphicboot/graphicboot.man,v 1.4 2005/08/04 05:15:49 matthew Exp $
.\"
.Dd Aug 4, 2005
.Dt GRAPHICBOOT 8 CON
.Os FreeBSD 5.3
.Sh NAME
.Nm graphicboot
.Nd Provides graphical X Window startup to FreeBSD during 'rc'.
.Sh SYNOPSIS
.Nm
.Op Fl toolkitoption...
.Sh DESCRIPTION
.Nm
starts the machines local X Window and displays the messages echoed during boot
up while the rc script is setting up the operating system.
.Sh OPTIONS
.Nm
is build upon Motif/X (Xm) and as such understands all the
normal command line options (as described in
.Xr X 1 Ns ) Ns \&.
.Sh WIDGET AND RESOURCE NAMES
.Nm
supports all the standard resources of the widgets used in mmore.  No additional
resources are defined.  Please refer to the Xresources file for it, typically
/etc/Xboot/Xresources.
.Sh FILES
.Nm
uses the following files to configure its look and behaviour.
.Bl -tag -width ".Pa /etc/Xboot/Xsplash.jpg"
.It Pa /etc/Xboot/Xsplash.jpg
The background image to show behind the startup messages.
.It Pa /etc/Xboot/Xserver
This should be a link to the X Window server to be used by
.Nm
Ns \&.
.It Pa /etc/Xboot/Xresources
This file contains the X Resources used to configure the appearance of the
boot messages window.
.It Pa /etc/Xboot/xorg.conf
This is the configuration file graphic boot uses to setup the X Window server.
This file may not reflect the configuration used by the X Window server during
normal use.
.El
.Sh SEE ALSO
.Xr rc 8
.Xr rcorder 8
.Xr X 1
.Xr X 7
.Xr sendgbmsg 8
.Sh BUGS
Don't know of any yet.
.Sh AUTHOR
Matthew Holder (6XGate Incorporated) <sixxgate@hotmail.com>.
