/*

The compilation of software known as FreeBSD GraphicBoot is distributed under
the following terms:

Copyright (C) 2005 Matthew Holder. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$SixXGate: motifapps/graphicboot/sendgbmsg.c,v 1.4 2005/07/27 22:07:53 matthew Exp $

*/

#define _SENDGBMSG_C_1700E96A_FE1A_11D9_A94B_0050FC0DCA2A

#include "common.h"

#include <string.h>
#include <sys/socket.h>
#include <sys/un.h>

int main(int argc, char *argv[]) {
	int i;
	int nLen;
	int nSocket;
	struct sockaddr_un saRemote;
	
	/* This should die quitly in case it is called with the graphicboot not running... */
	if (access(CONTROL_SOCKET, F_OK) != 0) return 0;
	if ((nSocket = socket(AF_UNIX, SOCK_STREAM, 0)) == -1) return 0;
	
	saRemote.sun_family = AF_UNIX;
	strcpy(saRemote.sun_path, CONTROL_SOCKET);
	nLen = strlen(saRemote.sun_path) + sizeof(saRemote.sun_family) + 1;

	/* This should die quitly in case it is called with the graphicboot not running... */
	if (connect(nSocket, (struct sockaddr *)&saRemote, nLen) == -1) return 0;
	
	for (i = 1; i < argc; ++i)
	{
		if (strcmp("-m", argv[i]) == 0)
		{
			++i;
			send(nSocket, argv[i], strlen(argv[i]) + 1, 0);
			close(nSocket);
			return 1;
		}
		else if (strcmp("-e", argv[i]) == 0)
		{
			send(nSocket, "_XGB_EGB", 9, 0);	
			close(nSocket);
			return 1;
		}
	}
	
	close(nSocket);
	
	return 1;
}
